clear

PFaloneIP3 = load('controlIP3PFalone_IP3.plot');
plot(-500:1500, PFaloneIP3(:,2),'g-')
axis([-500 1000 0 5])
set(gca,'xtick',[-400 -300 -200 -100 0 100 200 300 400 500 600 700 800 900])
set(gca,'XTickLabel','-400||-200||0||200||400||600||800|')
set(gca,'ytick',[0 1 2 3 4 5])
set(gca,'Tickdir','out')
box off
title('IP3 transient')
xlabel('Time (ms)')
ylabel('[IP3] (\muM)')
hold on

fastIP3 = load('fastIP3PFalone_IP3.plot');
plot(-500:1500, fastIP3(:,2),'g:')
hold on

slowIP3 = load('slowIP3PFalone_IP3.plot');
plot(-500:1500, slowIP3(:,2),'g--')
hold on