clear

IP3A2(:, 1:2) = load('paramsIP3fig9Aratio2_IP3.plot');
IP3A5(:, 1:2) = load('paramsIP3fig9Aratio5_IP3.plot');
IP3A10(:,1:2) = load('paramsIP3fig9Aratio10_IP3.plot');
IP3A05(:,1:2) = load('paramsIP3fig9Aratio0.5_IP3.plot');
IP3A02(:,1:2) = load('paramsIP3fig9Aratio0.2_IP3.plot');
IP3A01(:,1:2) = load('paramsIP3fig9Aratio0.1_IP3.plot');
IP3A1(:, 1:2) = load('paramsIP3fig9Aratio1_IP3.plot');

IP3B2(:, 1:2) = load('paramsIP3fig9Bratio2_IP3.plot');
IP3B5(:, 1:2) = load('paramsIP3fig9Bratio5_IP3.plot');
IP3B10(:,1:2) = load('paramsIP3fig9Bratio10_IP3.plot');
IP3B05(:,1:2) = load('paramsIP3fig9Bratio0.5_IP3.plot');
IP3B02(:,1:2) = load('paramsIP3fig9Bratio0.2_IP3.plot');
IP3B01(:,1:2) = load('paramsIP3fig9Bratio0.1_IP3.plot');
IP3B1(:, 1:2) = load('paramsIP3fig9Bratio1_IP3.plot');

IP3C2(:, 1:2) = load('paramsIP3fig9Cratio2_IP3.plot');
IP3C5(:, 1:2) = load('paramsIP3fig9Cratio5_IP3.plot');
IP3C10(:,1:2) = load('paramsIP3fig9Cratio10_IP3.plot');
IP3C05(:,1:2) = load('paramsIP3fig9Cratio0.5_IP3.plot');
IP3C02(:,1:2) = load('paramsIP3fig9Cratio0.2_IP3.plot');
IP3C01(:,1:2) = load('paramsIP3fig9Cratio0.1_IP3.plot');
IP3C1(:, 1:2) = load('paramsIP3fig9Cratio1_IP3.plot');

time = -500:1:1000;

subplot(3,1,1)
plot(time,IP3A2(1:1501,2), 'r-', 'LineWidth',2)
hold on
plot(time,IP3A5(1:1501,2), 'r-', 'LineWidth',1)
plot(time,IP3A10(1:1501,2),'r-', 'LineWidth',2)
plot(time,IP3A05(1:1501,2),'m:', 'LineWidth',2)
plot(time,IP3A02(1:1501,2),'m:', 'LineWidth',1)
plot(time,IP3A01(1:1501,2),'m:', 'LineWidth',2)
plot(time,IP3A1(1:1501,2), 'k-', 'LineWidth',1)

axis([-500 1000 0 8])
set(gca,'xtick',[-400 -300 -200 -100 0 100 200 300 400 500 600 700 800 900])
set(gca,'XTickLabel','-400||-200||0||200||400||600||800|')
set(gca,'ytick',[0 1 2 3 4 5 6 7 8])
set(gca,'YTickLabel','0||2||4||6||8')
set(gca,'Tickdir','out')
box off
title('Gq activation by Glu-mGluR')
xlabel('Time (ms)')
ylabel('[IP3] (\muM)')

subplot(3,1,2)
plot(time,IP3B2(1:1501,2), 'r-', 'LineWidth',2)
hold on
plot(time,IP3B5(1:1501,2), 'r-', 'LineWidth',1)
plot(time,IP3B10(1:1501,2),'r-', 'LineWidth',2)
plot(time,IP3B05(1:1501,2),'m:', 'LineWidth',2)
plot(time,IP3B02(1:1501,2),'m:', 'LineWidth',1)
plot(time,IP3B01(1:1501,2),'m:', 'LineWidth',2)
plot(time,IP3B1(1:1501,2), 'k-', 'LineWidth',1)
axis([-500 1000 0 8])
set(gca,'xtick',[-400 -300 -200 -100 0 100 200 300 400 500 600 700 800 900])
set(gca,'XTickLabel','-400||-200||0||200||400||600||800|')
set(gca,'ytick',[0 1 2 3 4 5 6 7 8])
set(gca,'YTickLabel','0||2||4||6||')
set(gca,'Tickdir','out')
box off
title('IP3 production by PLC\beta without Gq')
xlabel('Time (ms)')
ylabel('[IP3] (\muM)')

subplot(3,1,3)
plot(time,IP3C2(1:1501,2), 'r-', 'LineWidth',2)
hold on
plot(time,IP3C5(1:1501,2), 'r-', 'LineWidth',1)
plot(time,IP3C10(1:1501,2),'r-', 'LineWidth',2)
plot(time,IP3C05(1:1501,2),'m:', 'LineWidth',2)
plot(time,IP3C02(1:1501,2),'m:', 'LineWidth',1)
plot(time,IP3C01(1:1501,2),'m:', 'LineWidth',2)
plot(time,IP3C1(1:1501,2), 'k-', 'LineWidth',1)
axis([-500 1000 0 8])
set(gca,'xtick',[-400 -300 -200 -100 0 100 200 300 400 500 600 700 800 900])
set(gca,'XTickLabel','-400||-200||0||200||400||600||800|')
set(gca,'ytick',[0 1 2 3 4 5 6 7 8])
set(gca,'YTickLabel','0||2||4||6||')
set(gca,'Tickdir','out')
box off
title('IP3 degradation by IP3 3-kinase')
xlabel('Time (ms)')
ylabel('[IP3] (\muM)')