//genesis
// This simulation generates examples which tell how averaged Ca2+ response 
// are defined.

include DoiCaModel.g


setfield /kinetics/Influx/CF input -0.35
step {MAXTIME} -time
do_save_named_plot /moregraphs/conc4/MgGreen*.Co {"./simresult/fig6A/F_CFat-150msec.plot"}
reset

setfield /kinetics/Influx/CF input -0.65
step {MAXTIME} -time
do_save_named_plot /moregraphs/conc4/MgGreen*.Co {"./simresult/fig6A/F_CFat150msec.plot"}


echo "Simulation has done!"
echo "Type 'quit' to exit GENESIS/kinetikit"

