clear

CaEarly = load('CFat-100msec_Ca.plot')
CaJust  = load('CFat200msec_Ca.plot')
CaLate  = load('CFat500msec_Ca.plot')
Th      = load('IP3deptTh.txt')

plot(CaEarly(:,1),CaEarly(:,2),'b-', ...
     CaJust(:,1), CaJust(:,2), 'k-', ...
     CaLate(:,1), CaLate(:,2), 'b:', ...
     Th(:,1),     Th(:,2),     'c-' )

axis([0.3 1.3 0 10])
set(gca,'xtick',[0.3 0.4 0.5 0.51 0.52 0.53 0.54 0.7 1.0 1.3])
set(gca,'ytick',[0 2 4 6 8 10])
set(gca,'Tickdir','out')
box off
xlabel('Time (ms)')
set(gca,'XTickLabel','|-100|0|||||200|500|')
ylabel('[Ca2+]i (\muM)')