clear

MgGreen = 250; % uM

CFPF         = load('F_CFat-150msec.plot');
CFPF(:,2)    = CFPF(:,2) * (100/MgGreen);
PFCF         = load('F_CFat150msec.plot');
PFCF(:,2)    = PFCF(:,2) * (100/MgGreen);

subplot(1,2,1)
plot(-200:640,CFPF(301:1141,2), -150:540,CFPF(351:1041,2))
axis([-200 700 0 40])
set(gca,'xtick',[-150 0 40 540 640])
set(gca,'ytick',[0 10 20 30 40])
set(gca,'Tickdir','out')
box off
title('CF->PF')
xlabel('Time (ms)')
ylabel('\DeltaF/F0 (%)')

subplot(1,2,2)
plot(-50:700,PFCF(451:1201,2), 0:650,PFCF(501:1151,2))
axis([-200 700 0 40])
set(gca,'xtick',[-50 0 150 650 700])
set(gca,'ytick',[0 10 20 30 40])
set(gca,'Tickdir','out')
box off
title('PF->CF')
xlabel('Time (ms)')
ylabel('\DeltaF/F0 (%)')

