clear

IP3_1(:,  1:2) = load('paramsIP3ratio1_IP3.plot');
IP3_2(:,  1:2) = load('paramsIP3ratio2_IP3.plot');
IP3_5(:,  1:2) = load('paramsIP3ratio5_IP3.plot');
IP3_10(:, 1:2) = load('paramsIP3ratio10_IP3.plot');
IP3_20(:, 1:2) = load('paramsIP3ratio20_IP3.plot');
IP3_50(:, 1:2) = load('paramsIP3ratio50_IP3.plot');
IP3_100(:,1:2) = load('paramsIP3ratio100_IP3.plot');
IP3_05(:, 1:2) = load('paramsIP3ratio0.5_IP3.plot');
IP3_02(:, 1:2) = load('paramsIP3ratio0.2_IP3.plot');
IP3_01(:, 1:2) = load('paramsIP3ratio0.1_IP3.plot');
IP3_005(:,1:2) = load('paramsIP3ratio0.05_IP3.plot');
IP3_002(:,1:2) = load('paramsIP3ratio0.02_IP3.plot');
IP3_001(:,1:2) = load('paramsIP3ratio0.01_IP3.plot');

time = -500:1:1000;
plot(time,IP3_2(1:1501,2),  'r-', 'LineWidth',2)
hold on
plot(time,IP3_5(1:1501,2),  'r-', 'LineWidth',1)
plot(time,IP3_10(1:1501,2), 'r-', 'LineWidth',2)
plot(time,IP3_20(1:1501,2), 'r-', 'LineWidth',1)
plot(time,IP3_50(1:1501,2), 'r-', 'LineWidth',2)
plot(time,IP3_100(1:1501,2),'r-', 'LineWidth',1)
plot(time,IP3_05(1:1501,2), 'm:', 'LineWidth',2)
plot(time,IP3_02(1:1501,2), 'm:', 'LineWidth',1)
plot(time,IP3_01(1:1501,2), 'm:', 'LineWidth',2)
plot(time,IP3_005(1:1501,2),'m:', 'LineWidth',1)
plot(time,IP3_002(1:1501,2),'m:', 'LineWidth',2)
plot(time,IP3_001(1:1501,2),'m:', 'LineWidth',1)
plot(time,IP3_1(1:1501,2),  'k-', 'LineWidth',1)
axis([-500 1000 0 8])
set(gca,'xtick',[-400 -300 -200 -100 0 100 200 300 400 500 600 700 800 900])
set(gca,'XTickLabel','-400||-200||0||200||400||600||800|')
set(gca,'ytick',[0 1 2 3 4 5 6 7 8])
set(gca,'Tickdir','out')
box off
title('Gq activation by Glu-mGluR')
xlabel('Time (ms)')
ylabel('[IP3] (\muM)')